import javax.activation.CommandInfo;
import javax.activation.DataHandler;
import javax.activation.DataSource;
import javax.activation.FileDataSource;
import javax.activation.MailcapCommandMap;
import beans.Command;

public class JAFDemo {
    private MailcapCommandMap mailcapCommandMap;
    private DataHandler dataHandler;

    public JAFDemo() {
        // Create a MailcapCommandMap configured using
        // the META-INF/mailcap file
        mailcapCommandMap = new MailcapCommandMap();

        // Create a DataHandler
        DataSource dataSource = new 
                FileDataSource("readme.txt");
        dataHandler = new DataHandler(dataSource);
    }
    
    public void testCommand(String commandName) {
        ClassLoader loader = getClass().getClassLoader();
        
        // Get the CommandInfo for the commandName
        CommandInfo commandInfo = mailcapCommandMap.
                getCommand("text/plain", commandName);
        try {
            // instantiate the command object for the command
            Object commandObject = commandInfo.
                    getCommandObject(dataHandler, loader);
            if (commandObject instanceof Command) {
                Command command = (Command) commandObject;
                command.execute();
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static void main(String[] args) {
        JAFDemo demo = new JAFDemo();
        demo.testCommand("view");
        demo.testCommand("edit");
    }
}
